# wsproto API

This document details the API of wsproto.

## Semantic Versioning

wsproto follows semantic versioning for its public API. Please note that the guarantees of semantic versioning apply only to the API that is documented here. Simply because a method or data field is not prefaced by an underscore does not make it part of wsproto’s public API. Anything not documented here is subject to change at any time.

## Connection

## Handshake

## Events

Event constructors accept any field as a keyword argument. Some fields are required, while others have default values.

## Frame Protocol

## Extensions

## Exceptions